您好!欢迎访问东莞市鸿茂物联网科技有限公司官方网站!
4常见问题
您的位置: 首页 ->  常见问题 -> 常见问题与解决方法
常见问题与解决方法:
1、旧版测试软件(.NET 2.0 SP2) + 智能设备控制与编辑软件(4.5) + 物联网设备管理系统(4.5):
(1)、运行安装盘时提示:错误1706.不是有效源产品被发现。

错误原因:这可能是软件的安装文件损坏。
解决方法:重新在 龙怡智能部 QQ群中下载软件安装盘。


(2)、运行时提示:应用程序正常初始化失败

错误原因:这是因为缺少.Net Framework组件(未安装.NET)。
解决方法:需要安装Microsoft .NET Framework 2.0 SP2,微软官方下载地址:
https://www.microsoft.com/zh-cn/download/details.aspx?id=1639
或龙怡智能部QQ群中:运行环境:NetFx20SP2.rar


(3)、安装.NET2.0时提示:以下两种错误原因相同(因为系统不同)


错误原因:Windows权限限制不允许安装.NET 2.0。
解决方法:文件资源管理器->计算机(树状列表)->卸载或更改程序(工具栏)->打开或关闭Windows功能->勾选:Microsoft .NET Framework 3.5


(4)、安装.NET4.0时提示:运行此安装程序之前,必须安装32位Windows映像处理组件(WIC)!


错误原因:Windows未安装WIC功能,所以不能安装Microsoft .NET Framework 4.0。
解决方法:到微软官方下载wic_x86_chs.exe 并安装:
http://www.microsoft.com/downloads/zh-cn/details.aspx?familyid=8e011506-6307-445b-b950-215def45ddd8&displaylang=zh-cn


(5)、安装.NET4.5时提示:此操作系统不支持.Net Framework 4.5!
错误原因:Windows系统版本太低(XP),不能安装高版本的Microsoft .NET Framework 4.5。
解决方法:安装Microsoft .NET Framework 4.0


(6)、运行时提示:无法找到运行此应用程序的运行时版本。
错误原因:这是由于.NET Framework的版本不正确引起的,比如:系统当前只安装了.NET 2.0,
但程序运行需要.NET 4.5。
解决方法:根据程序要求,安装对应的 .NET Framework版本。
(7)、运行时提示:需要安装.NET Framework。
错误原因:这是由于XP系统未安装Microsoft .NET Framework 4.0引起的。
解决方法:安装 Microsoft .NET Framework 4.0。
(8)、运行时提示:您要使用的功能是不可用的网络资源。
错误原因:这是由于未正常安装,或系统权限不允许运行绿色版的软件,或其他软件安装失败引起的。
解决方法:用安装盘安装即可。
(9)、运行时提示:没有注册类!
错误原因:一般出现在旧版测试软件绿色版,这是因为MSWINSCK.OCX未正常注册。
解决方法:见第9点
(10)、运行时提示:MSWINSCK.OCX未注册!
错误原因:一般出现在旧版测试软件绿色版,这是因为MSWINSCK.OCX未正常注册。
解决方法:按照提示路径打开 [安装目录/ Driver] 文件夹,
解压 [MSWINSCK.rar],按照 [说明.txt]进行安装。
一定要:右键菜单->以管理员身份运行
如果还不行,可先运行:卸载32.bat 或 卸载64.bat,然后再运行旧版测试软件试试,如果还是不行,就再注册一次。
如果没有权限拷贝,可手工把MSWINSCK.ocx拷贝到:C:\Windows\System32或C:\Windows\SysWOW64
(11)、运行时提示:SAPI.DLL(TTS)未注册!
错误原因:一般出现在旧版测试软件绿色版,这是因为有很多Ghost的系统精简掉了TTS (语音)。
解决方法:按照提示路径打开 [安装目录/ Driver] 文件夹,解压 [TTS WIN7.rar] 或 [TTS WINXP.rar],按照 [说明.txt] 进行安装。
如果找不到对应的安装盘,可百度搜索:TTS语音引擎修复。
(12)、运行时出现:联网模块总是连接不上,但配置都正确!
错误原因:可能是被防火墙拦截了。
解决方法:桌面->网络->右键菜单->属性->Windows防火墙->允许程序或功能通过Windows防火墙
按当前软件名称,勾选与确定
注:有时测试软件可以连上,但公共照明软件或酒店管理软件总是连不上,则基本可以确定是被防火墙拦截了。

为了防止被防火墙拦截,在出现下图时,一定要[允许访问]

至于具体勾选专用网络?还是公用网络?是由下图配置决定

您也可以两种网络都勾选。
2、公共照明软件: (1)、必需安装Office2003及以上版本

3、酒店管理软件: (1)、必需安装Office2003及以上版本

4、旧版测试软件: (1)、必需安装Office2003及以上版本
(2)、必需安装Microsoft .NET Framework 2.0 SP2

5、智能设备控制与编辑软件 (1)、必需安装Office2003及以上版本
(2)、必需安装Microsoft .NET Framework 4.5(XP系统可安装4.0)

6、物联网设备管理系统 (1)、必需安装Office2003及以上版本
(2)、必需安装Microsoft .NET Framework 4.5(XP系统可安装4.0)


东莞市鸿茂物联网科技有限公司 版权所有 Copyright 2017 [Bmap] [Gmap] [后台管理] 访问量: 【百度统计】 技术支持:[东莞网站建设] 粤ICP备15016844号-1